<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "TagCloud"                                            |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1a / November 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

// Moduleinstellungen speichern (neue Version mit automatischem Einlesen neuer Variablen)************
if (isset($_POST['go'])) {
	$new_settings = $_POST;
    foreach ($activeModules['TagCloud'] as $k=>$v) {
        if (!isset($_POST['cpoTagCloudNew'][$k])) continue;
        if (is_bool($activeModules['TagCloud'][$k])) {
            $activeModules['TagCloud'][$k] = (bool) $_POST['cpoTagCloudNew'][$k];
        } else {
			$activeModules['TagCloud'][$k] = $_POST['cpoTagCloudNew'][$k];
		}
		if (array_key_exists($k, $new_settings['cpoTagCloudNew'])) unset($new_settings['cpoTagCloudNew'][$k]);
    }
    foreach ($new_settings['cpoTagCloudNew'] as $k=>$v) {
		$activeModules['TagCloud'][$k] = $new_settings['cpoTagCloudNew'][$k];
	}
    $c_datum = date ("Y-m-d H:i:s", time());
    $query = sprintf(
             "UPDATE ".CPO_MODULES." SET options ="
            ." '%s' WHERE name = '%s'", 
            addslashes(serialize($activeModules['TagCloud'])),
			'TagCloud'
    );
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query); 

    $message[] = __('Module settings were updated!');
}

require(CPO_BASEDIR.'_include/header.php');

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+500+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-500+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

if (!array_key_exists($activeModules['TagCloud']['modSearchDir'], $activeModules)) {
    $message[] = __('The search is currently disabled.');
    $message[] = __('Without the search enabled the tagcloud module is not working.');
}

printPageHeader(
    __('TagCloud'),
    __('In this view you can work on the tagcloud module settings.'),
	'http://manual.conpresso4.de/tagcloud/settings.htm',
	true,
	'modules'
);
include(CPO_BASEDIR.'_include/message.php');
include('./producer.inc.php');

	
	echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
	echo '<input type="hidden" name="go" value="1">';

	include(CPO_BASEDIR.$activeModules['TagCloud']['directory'].'/license.inc.php');

if (!$tcbreak) {
	// table header {{{
	echo '<table class="colored" style="width: 100%;">';
	echo '<thead><tr>';

	echo '<th colspan="2"><span>'.__('TagCloud settings').'</span></th>';

	echo '</tr></thead><tbody>';
	// }}}

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Tag contents:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoTagCloudNew[tagcontent]" size="1">';
		$selyes = ($activeModules['TagCloud']['tagcontent']=="yes") ? ' selected="selected"' :'';
		$selno = ($activeModules['TagCloud']['tagcontent']=="no") ? ' selected="selected"' :'';
		echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
		echo '<option value="no"'.$selno.'>'.__('no').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Tag keywords:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoTagCloudNew[tagkeywords]" size="1">';
		$selyes = ($activeModules['TagCloud']['tagkeywords']=="yes") ? ' selected="selected"' :'';
		$selno = ($activeModules['TagCloud']['tagkeywords']=="no") ? ' selected="selected"' :'';
		echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
		echo '<option value="no"'.$selno.'>'.__('no').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Tag titles:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoTagCloudNew[tagtitles]" size="1">';
		$selyes = ($activeModules['TagCloud']['tagtitles']=="yes") ? ' selected="selected"' :'';
		$selno = ($activeModules['TagCloud']['tagtitles']=="no") ? ' selected="selected"' :'';
		echo '<option value="yes"'.$selyes.'>'.__('yes').'</option>';
		echo '<option value="no"'.$selno.'>'.__('no').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Minimum count:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoTagCloudNew[minCountValue]" value="'.$activeModules['TagCloud']['minCountValue'].'" size="5" maxlength="5">';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Minimum word length:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoTagCloudNew[minWordLen]" value="'.$activeModules['TagCloud']['minWordLen'].'" size="5" maxlength="5">';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Maximum word length:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoTagCloudNew[maxWordLen]" value="'.$activeModules['TagCloud']['maxWordLen'].'" size="5" maxlength="5">';
		echo '</td>';
	echo '</tr>';
	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Maximum tags in tagcloud:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text" name="cpoTagCloudNew[maxWordCount]" value="'.$activeModules['TagCloud']['maxWordCount'].'" size="5" maxlength="5">';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Search module directory:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="text" class="text inputwidth" name="cpoTagCloudNew[modSearchDir]" value="'.$activeModules['TagCloud']['modSearchDir'].'">';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Tagcloud style:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<select name="cpoTagCloudNew[chooseItemStyle]" size="1">';
		$sel1 = ($activeModules['TagCloud']['chooseItemStyle']==1) ? ' selected="selected"' :'';
		$sel2 = ($activeModules['TagCloud']['chooseItemStyle']==2) ? ' selected="selected"' :'';
		$sel3 = ($activeModules['TagCloud']['chooseItemStyle']==3) ? ' selected="selected"' :'';
		$sel4 = ($activeModules['TagCloud']['chooseItemStyle']==4) ? ' selected="selected"' :'';
		$sel5 = ($activeModules['TagCloud']['chooseItemStyle']==5) ? ' selected="selected"' :'';
		echo '<option value="1"'.$sel1.'>'.__('random order').'</option>';
		echo '<option value="2"'.$sel2.'>'.__('alphabetical ascending A-Z').'</option>';
		echo '<option value="3"'.$sel3.'>'.__('alphabetical descending Z-A').'</option>';
		echo '<option value="4"'.$sel4.'>'.__('highest count descending').'</option>';
		echo '<option value="5"'.$sel5.'>'.__('lowest count ascending').'</option>';
		echo '</select>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('Exclude words:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<textarea style="width: 95%; height: 150px;" id="excludewords" class="text inputwidth" name="cpoTagCloudNew[exclude_words]">'.htmlspecialchars($activeModules['TagCloud']['exclude_words'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
		echo '<br /><a href="#" onClick="textarea(\'excludewords\', this);return false" id="lnk">'.__('enlarge').'</a>';
		echo '<br />'.__('Separate words by space, colon or linefeed');
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo __('CSS styles:');
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<textarea style="width: 95%; height: 150px;" id="css" class="text inputwidth" name="cpoTagCloudNew[CSS]">'.htmlspecialchars($activeModules['TagCloud']['CSS'], ENT_COMPAT, 'ISO-8859-15').'</textarea>';
		echo '<br /><a href="#" onClick="textarea(\'css\', this);return false" id="lnk">'.__('enlarge').'</a>';
		echo '</td>';
	echo '</tr>';

	echo '<tr>';
		echo '<td class="leftrow">';
		echo '&nbsp;';
		echo '</td>';
		echo '<td class="rightrow">';
		echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
		echo '</td>';
	echo '</tr>';
	echo '</tbody></table>';

	
	echo '</form>';

}
require(CPO_BASEDIR.'_include/footer.php');
?>
